Subject: bug#55275: closed (Re: bug#55275: 29.0.50; Gnus' nnvirtual-retrieve-headers shouldn't force usage of the cache)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 May 2022 17:19:02 +0000

Your bug report

#55275: 29.0.50; Gnus' nnvirtual-retrieve-headers shouldn't force usage of the cache

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55275: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55275
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55275: 29.0.50; Gnus' nnvirtual-retrieve-headers shouldn't force usage of the cache
From: Eric Abrahamsen <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 May 2022 10:17:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/06/22 14:17 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> All the above is true, except I don't understand why we want to check
>> the cache. This code is ancient and I'm only medium-hopeful Lars
>> remembers the reasoning here, but on the face of it I don't know why we
>> need to force a check of the cache. It seems like we could simply remove
>> that, and the cache will still be checked iff the user has set
>> `gnus-use-cache' to t.
>
> I have no recollection of that code.  :-/

It was a while ago :)

> But, yes, I think removing that binding would be the right thing to do.

Done.

Subject: 29.0.50; Gnus' nnvirtual-retrieve-headers shouldn't force usage of the cache
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 08:28:39 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In ./lisp/gnus/nnvirtual.el, the `nnvirtual-retrieve-headers' deffoo
let-binds `gnus-use-cache' to t when it uses `gnus-retrieve-headers' on
its various constituent groups. For users not using the cache, this
will result in an error.

I can put an additional check in gnus-cache.el when we call
`gnus-cache-retrieve-headers', but it would be nice to know why this
necessary in the first place. The code comment on
`nnvirtual-retrieve-headers' says:

;; FIX FIX FIX we want to check the cache!
;; This is probably evil if people have set
;; gnus-use-cache to nil themselves, but I
;; have no way of finding the true value of it.

All the above is true, except I don't understand why we want to check
the cache. This code is ancient and I'm only medium-hopeful Lars
remembers the reasoning here, but on the face of it I don't know why we
need to force a check of the cache. It seems like we could simply remove
that, and the cache will still be checked iff the user has set
`gnus-use-cache' to t.